iTunes < 11.1 ActiveX Memory Corruption

Medium Nessus Network Monitor Plugin ID 8014

Synopsis

The remote host is running a multimedia application that contains a potential memory corruption vulnerability.

Description

Versions of iTunes earlier than 11.1 are reportedly affected by a memory corruption vulnerability that can be triggered via an ActiveX control. This is due to insufficient user input sanitation, by which a context-dependent attacker may execute arbitrary code or terminate the application.

Solution

Upgrade to iTunes 11.1 or later.

See Also

http://support.apple.com/kb/HT5936

http://seclists.org/bugtraq/2013/Sep/84

http://secunia.com/advisories/54893

Plugin Details

Severity: Medium

ID: 8014

File Name: 8014.prm

Family: Web Clients

Published: 2013/09/26

Modified: 2016/01/19

Dependencies: 1735, 8314

Nessus ID: 70026, 70027

Risk Information

Risk Factor: Medium

CVSSv2

Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSSv3

Base Score: 5.6

Temporal Score: 4.9

Vector: CVSS3#AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:apple:itunes

Patch Publication Date: 2013/09/18

Vulnerability Publication Date: 2013/09/18

Reference Information

CVE: CVE-2013-1035

BID: 62486